Затмение ADT AppCompat ... что это ?

? Omar.Ebrahim @ | Original: StackOverFlow
---

Я провел весь день, не получив совершенно некуда с этим. Я скачал Eclipse, скачал SDK, установлены обновления, но каждый новый Android проект, который я создать что-то неправильно.

Во-первых, он не будет генерировать файл R.java, вообще, сейчас но естьотдельный проект его создания автоматически вызывается appcompat_v7 делает . Я не знаю, что это такое, но это вызывает проблемы с какой-либо другой новом проекте.

Этоошибканормальный проект производит: Контейнер ссылки " Android зависимостей " не существующие библиотеки " /home/omar/workspace/appcompat_v7/bin/appcompat_v7.jar "

Я не имею ни малейшего понятия, как это исправить . Что является причиной этого ?

EDIT Казалось, это только с KitKat, каждый API платформы не дает никаких исходных файлов на всех .... Любая идея, как бороться с этим ?

Затмение ADT AppCompat ... что это ?

Затмение ADT AppCompat ... что это ?

Затмение ADT AppCompat ... что это ?

---

Top 5 ответ

1NickT @

Этоподдержка библиотека, которая предположительно ваш проект относится. Вам нужно будет собрать его как проект библиотеки в рабочей области. Этот процесс описан здесь https://developer.android.com/tools/support-library/setup.html под Добавление библиотек ресурсов .

Вы найдете проект нужно скопировать в вашем SDK в папку:

yourSDKlocation oolsandroid -SDK - windows4.4extrasandroidsupportv7appcompat

( Это не использование простого копирования банку, вы не должны строить его в качестве проекта библиотеки. )